org.optaplanner.core.impl.score.stream.drools.quad

## Class DroolsExistsQuadConstraintStream<Solution_,A,B,C,D>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream<Solution_>
  - - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream<Solution_>
    - - org.optaplanner.core.impl.score.stream.drools.quad.DroolsAbstractQuadConstraintStream<Solution_,A,B,C,D>
      - - org.optaplanner.core.impl.score.stream.drools.quad.DroolsExistsQuadConstraintStream<Solution_,A,B,C,D>

- All Implemented Interfaces:
    ConstraintStream, QuadConstraintStream<A,B,C,D>, InnerQuadConstraintStream<A,B,C,D>

      public final class DroolsExistsQuadConstraintStream<Solution_,A,B,C,D>
      extends DroolsAbstractQuadConstraintStream<Solution_,A,B,C,D>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.drools.quad.DroolsAbstractQuadConstraintStream

      `parent`

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream

      `constraintFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsExistsQuadConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractQuadConstraintStream<Solution_,A,B,C,D> parent, boolean shouldExist, Class<E> otherClass, PentaJoiner<A,B,C,D,E>... joiners)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DroolsQuadCondition<A,B,C,D,?>` | `getCondition()`
    `List<DroolsFromUniConstraintStream<Solution_,Object>>` | `getFromStreamList()`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.quad.DroolsAbstractQuadConstraintStream

      `filter, getCardinality, groupBy, groupBy, groupBy, groupBy, groupBy, groupBy, ifExists, ifNotExists, impactScore, impactScore, impactScoreBigDecimal, impactScoreConfigurable, impactScoreConfigurable, impactScoreConfigurableBigDecimal, impactScoreConfigurableLong, impactScoreLong`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream

      `addChildStream, buildConstraint, buildConstraintConfigurable, createRuleItemBuilders, getChildStreams, getConstraintFactory, getExpectedJustificationTypes`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream

      `buildConstraintWeightExtractor, buildConstraintWeightExtractor, impact, penalize, penalizeConfigurable, reward, rewardConfigurable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.quad.InnerQuadConstraintStream

      `impact, impactBigDecimal, impactConfigurable, impactConfigurableBigDecimal, impactConfigurableLong, impactLong, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.quad.QuadConstraintStream

      `ifExists, ifExists, ifExists, ifExists, ifNotExists, ifNotExists, ifNotExists, ifNotExists, impact, impactBigDecimal, impactConfigurable, impactConfigurableBigDecimal, impactConfigurableLong, impactLong, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.ConstraintStream

      `getConstraintFactory, impact, impact, penalize, penalize, penalizeConfigurable, penalizeConfigurable, reward, reward, rewardConfigurable, rewardConfigurable`

- - ### Constructor Detail

    - #### DroolsExistsQuadConstraintStream

          public DroolsExistsQuadConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                  DroolsAbstractQuadConstraintStream<Solution_,A,B,C,D> parent,
                                                  boolean shouldExist,
                                                  Class<E> otherClass,
                                                  PentaJoiner<A,B,C,D,E>... joiners)

  - ### Method Detail

    - #### getFromStreamList

          public List<DroolsFromUniConstraintStream<Solution_,Object>> getFromStreamList()

      Overrides:
        `getFromStreamList` in class `DroolsAbstractQuadConstraintStream<Solution_,A,B,C,D>`

    - #### getCondition

          public DroolsQuadCondition<A,B,C,D,?> getCondition()

      Specified by:
        `getCondition` in class `DroolsAbstractQuadConstraintStream<Solution_,A,B,C,D>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.